# Laurent - 3.0-0.1mdk - Temporary macros. To remove later
%define _prefix         /opt/kde3/
%define _exec-prefix    /opt/kde3/
%define _bindir         /opt/kde3/bin/
%define _sbindir        /opt/kde3/sbin/
%define _sysconfdir     /opt/kde3/etc/
%define _datadir        /opt/kde3/share/
%define _includedir     /opt/kde3/include/
%define _libdir         /opt/kde3/lib/
%define _libexecdir     /opt/kde3/lib/
%define _localstatedir  /opt/kde3/var/lib/
%define _sharedstatedir /opt/kde3/com/
%define _mandir         /opt/kde3/share/man/
%define _infodir        /opt/kde3/share/info/
%define _docdir         /opt/kde3/share/doc/
%define _menudir        /usr/lib/menu

# Dadou - 2.2.1-2mdk - Reminder: 7.2 is for IA32 only
#                                8.0 is for IA32 and PPC
#                                8.1 is for IA32 and IA64
#                                8.2 is for IA32, IA64 and PPC

# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor7_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 7.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_3 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.3 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %buildfor8_3
%define unstable 1
%else
%define unstable 0
%endif

Name:		kdeedu3
Summary:	K Desktop Environment - Toys and Amusements
Version:	3.0.2
Release:	1mdk
Epoch:		1
URL:		http://www.kde.org/
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>

Source: 	kdeedu-%{version}.tar.bz2

Group:		Graphical desktop/KDE
BuildRoot:	%_tmppath/%name-%version-%release-root
License:	GPL


%if %buildfor8_0
BuildRequires:	Mesa-common XFree86-devel XFree86-libs XFree86-static-libs arts3
BuildRequires:	autoconf automake db1 diffutils file freetype2 gawk gcc-c++
BuildRequires:	gcc-cpp gettext kdelibs3 kdelibs3-devel 
BuildRequires:	libbinutils2 libbzip2_1 libjpeg62 libjpeg62-devel libmng1
BuildRequires:	libpng2 libqt3 libqt3-devel libtermcap m4 mktemp
BuildRequires:	pam popt readline rpm-build texinfo zlib1 
%endif

%if %buildfor8_1
BuildRequires:	XFree86-devel
%endif

%if %buildfor8_2
BuildRequires:	XFree86-devel XFree86-libs XFree86-static-libs arts3 autoconf
BuildRequires:	automake diffutils file freetype2 gawk gcc-c++ gcc-cpp gettext
BuildRequires:	kdelibs3-devel libMesaGLU1 libbinutils2 libbzip2_1-devel
BuildRequires:	libintl1 libjpeg62-devel liblcms1 libmng1-devel libpng3-devel
BuildRequires:	libqt3-devel libstdc++2.10 libtermcap2 m4
BuildRequires:	mktemp perl popt rpm-build texinfo zlib1-devel
%endif

%if %buildfor8_3
BuildRequires:  XFree86-devel XFree86-libs XFree86-static-libs arts3 autoconf
BuildRequires:  automake diffutils file freetype2 gawk gcc-c++ gcc-cpp gettext
BuildRequires:  kdelibs3-devel libMesaGLU1 libbinutils2 libbzip2_1-devel
BuildRequires:  libintl1 libjpeg62-devel liblcms1 libmng1-devel libpng3-devel
BuildRequires:  libqt3-devel libstdc++2.10 libtermcap2 m4
BuildRequires:  mktemp perl popt rpm-build texinfo zlib1-devel
%endif

%description
kdeedu

%prep

%setup -q -nkdeedu-%{version}

%build
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
        ./configure --prefix=%_prefix \
                    --build=%_target_platform \
		    --host=%_target_platform \
%if %unstable			
                    --enable-debug=full \
%else
					--disable-debug \
%endif
                    --enable-final \
                    --enable-shared \
                    --disable-static \
                    --disable-objprelink \
		    --disable-embedded \
		    --disable-qtopia \
		    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
                    --with-xinerama


%make



%install
rm -fr %buildroot

# Dadou - 2.2-0.beta1.1mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif
export PATH=%_bindir:$PATH

make install prefix=%buildroot/opt/kde3/

# Create LMDK menu entries
install -d %buildroot/%_menudir/
export PATH=%_bindir:$PATH

# %%_datadir/System/ScreenSavers/
kdedesktop2mdkmenu.pl kdeedu3 Edutainment %buildroot/%_datadir/applnk/Edutainment/keduca.desktop %buildroot/%_menudir/kdeedu3-keduca kde
kdedesktop2mdkmenu.pl kdeedu3 Edutainment %buildroot/%_datadir/applnk/Edutainment/kgeo.desktop %buildroot/%_menudir/kdeedu3-kgeo kde

kdedesktop2mdkmenu.pl kdeedu3 Edutainment %buildroot/%_datadir/applnk/Edutainment/kmessedwords.desktop %buildroot/%_menudir/kdeedu3-kmessedwords kde
kdedesktop2mdkmenu.pl kdeedu3 Edutainment %buildroot/%_datadir/applnk/Edutainment/kstars.desktop %buildroot/%_menudir/kdeedu3-kstars kde
kdedesktop2mdkmenu.pl kdeedu3 Edutainment %buildroot/%_datadir/applnk/Edutainment/ktouch.desktop %buildroot/%_menudir/kdeedu3-ktouch kde
kdedesktop2mdkmenu.pl kdeedu3 Edutainment %buildroot/%_datadir/applnk/Edutainment/kvoctrain.desktop %buildroot/%_menudir/kdeedu3-kvoctrain kde

kdedesktop2mdkmenu.pl kdeedu3 Edutainment %buildroot/%_datadir/applnk/Edutainment/French/klettres.desktop %buildroot/%_menudir/kdeedu3-klettres kde


%post
%define _bindir         /usr/bin/
/sbin/ldconfig
%update_menus
%define _bindir         /opt/kde3/bin/


%postun
%define _bindir         /usr/bin/
/sbin/ldconfig
%clean_menus
%define _bindir         /opt/kde3/bin/


%clean
rm -fr %buildroot


%files 
%defattr(-,root,root)
#
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Edutainment/
%_datadir/applnk/Edutainment/*.desktop

%dir %_datadir/applnk/Edutainment/French
%_datadir/applnk/Edutainment/French/*.desktop


%dir %_datadir/apps/
%dir %_datadir/apps/keduca/
%_datadir/apps/keduca/*.rc
%dir %_datadir/apps/keduca/pics/
%_datadir/apps/keduca/pics/*.png
%dir %_datadir/apps/keduca/icons/
%dir %_datadir/apps/keduca/icons/hicolor/
%dir %_datadir/apps/keduca/icons/hicolor/16x16/
%dir %_datadir/apps/keduca/icons/hicolor/16x16/actions/
%_datadir/apps/keduca/icons/hicolor/16x16/actions/*.png

%dir %_datadir/apps/keduca/icons/hicolor/22x22/
%dir %_datadir/apps/keduca/icons/hicolor/22x22/actions/
%_datadir/apps/keduca/icons/hicolor/22x22/actions/*.png


%dir %_datadir/apps/kgeo/
%_datadir/apps/kgeo/*.rc
%dir %_datadir/apps/kgeo/pics/
%_datadir/apps/kgeo/pics/*.png
%dir %_datadir/apps/kgeo/toolbar/
%_datadir/apps/kgeo/toolbar/*.png

%dir %_datadir/apps/klettres/
%_datadir/apps/klettres/*.txt
%dir %_datadir/apps/klettres/pics/
%_datadir/apps/klettres/pics/*.png
%_datadir/apps/klettres/pics/*.jpeg

%dir %_datadir/apps/klettres/sons/
%_datadir/apps/klettres/sons/*.wav

%dir %_datadir/apps/klettres/sons2/
%_datadir/apps/klettres/sons2/*.wav


%dir %_datadir/apps/kmessedwords/
%_datadir/apps/kmessedwords/*.png
%_datadir/apps/kmessedwords/*.txt

%dir %_datadir/apps/kmessedwords/themes/
%dir %_datadir/apps/kmessedwords/themes/default/
%_datadir/apps/kmessedwords/themes/default/*.png
%dir %_datadir/apps/kmessedwords/themes/bubbly_crystal/
%_datadir/apps/kmessedwords/themes/bubbly_crystal/*.png

%dir %_datadir/apps/kstars/
%_datadir/apps/kstars/*

%dir %_datadir/apps/ktouch/
%_datadir/apps/ktouch/*


%dir %_datadir/apps/kvoctrain/
%_datadir/apps/kvoctrain/*.png
%_datadir/apps/kvoctrain/*.xpm

%dir %_datadir/apps/kvoctrain/examples/
%_datadir/apps/kvoctrain/examples/*.kvtml



%dir %_iconsdir/hicolor/
%_iconsdir/*.xpm
%dir %_iconsdir/hicolor/16x16/
%dir %_iconsdir/hicolor/16x16/apps/
%_iconsdir/hicolor/16x16/apps/*.png

%dir %_iconsdir/hicolor/22x22/
%dir %_iconsdir/hicolor/22x22/apps/
%_iconsdir/hicolor/22x22/apps/*.xpm

%dir %_iconsdir/hicolor/32x32/
%dir %_iconsdir/hicolor/32x32/apps/
%_iconsdir/hicolor/32x32/apps/*.xpm
%_iconsdir/hicolor/32x32/apps/*.png

%dir %_iconsdir/hicolor/48x48/
%dir %_iconsdir/hicolor/48x48/apps/
%_iconsdir/hicolor/48x48/apps/*.xpm
%_iconsdir/hicolor/48x48/apps/*.png

%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*.png
%_iconsdir/locolor/16x16/apps/*.xpm


%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*.png

%dir %_iconsdir/locolor/48x48/
%dir %_iconsdir/locolor/48x48/apps/
%_iconsdir/locolor/48x48/apps/*.png

%_bindir/*
%_menudir/*

%_datadir/mimelnk/application/*.desktop

%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/kgeo/
%doc %_docdir/HTML/en/kgeo/common
%doc %_docdir/HTML/en/kgeo/*.docbook
%doc %_docdir/HTML/en/kgeo/*.bz2
%doc %_docdir/HTML/en/kgeo/*.png

%dir %_docdir/HTML/en/khangman/
%doc %_docdir/HTML/en/khangman/common
%doc %_docdir/HTML/en/khangman/*.docbook
%doc %_docdir/HTML/en/khangman/*.bz2
%doc %_docdir/HTML/en/khangman/*.png

%dir %_docdir/HTML/en/klettres/
%doc %_docdir/HTML/en/klettres/common
%doc %_docdir/HTML/en/klettres/*.docbook
%doc %_docdir/HTML/en/klettres/*.bz2
%doc %_docdir/HTML/en/klettres/*.png

%dir %_docdir/HTML/en/kmessedwords/
%doc %_docdir/HTML/en/kmessedwords/common
%doc %_docdir/HTML/en/kmessedwords/*.docbook
%doc %_docdir/HTML/en/kmessedwords/*.bz2
%doc %_docdir/HTML/en/kmessedwords/*.png

%dir %_docdir/HTML/en/kstars/
%doc %_docdir/HTML/en/kstars/common
%doc %_docdir/HTML/en/kstars/*.docbook
%doc %_docdir/HTML/en/kstars/*.bz2
%doc %_docdir/HTML/en/kstars/*.png

%dir %_docdir/HTML/en/ktouch/
%doc %_docdir/HTML/en/ktouch/common
%doc %_docdir/HTML/en/ktouch/*.docbook
%doc %_docdir/HTML/en/ktouch/*.bz2
%doc %_docdir/HTML/en/ktouch/*.png

%dir %_docdir/HTML/en/kvoctrain/
%doc %_docdir/HTML/en/kvoctrain/common
%doc %_docdir/HTML/en/kvoctrain/*.docbook
%doc %_docdir/HTML/en/kvoctrain/*.bz2
%doc %_docdir/HTML/en/kvoctrain/*.png

%changelog
* Thu Jun 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Remove 'fomit-frame-pointer'
- Add missing menu entry

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde3.0

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.3mdk
- RC3

* Wed Feb 13 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta2.3mdk
- Fix BuildRequires on 8.2

* Sat Feb 09 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta2.2mdk
- Fix ./configure
- Enable debug
- Set unstable macro to 1

* Wed Feb 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.1mdk
- Rename to allow KDE 2 & 3 to be installed in same time

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-1mdk
- kde 3.0 beta1

